## org.eclipse.datatools.sqltools.sqlbuilder.views.graph.figures
Class EdgeChopBoxConnector

    java.lang.Object
      org.eclipse.draw2d.ConnectionAnchorBase
          org.eclipse.draw2d.AbstractConnectionAnchor
              org.eclipse.datatools.sqltools.sqlbuilder.views.graph.figures.EdgeChopBoxConnector

All Implemented Interfaces:
  org.eclipse.draw2d.AncestorListener, org.eclipse.draw2d.ConnectionAnchor

    public class EdgeChopBoxConnector

extends org.eclipse.draw2d.AbstractConnectionAnchor

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.draw2d.AncestorListener
`org.eclipse.draw2d.AncestorListener.Stub`

Constructor Summary
`EdgeChopBoxConnector(org.eclipse.draw2d.IFigure owner, org.eclipse.draw2d.IFigure chopFigure)`

Method Summary
`org.eclipse.draw2d.geometry.Point` `getLocation(org.eclipse.draw2d.geometry.Point reference)`

Methods inherited from class org.eclipse.draw2d.AbstractConnectionAnchor
`addAnchorListener, ancestorAdded, ancestorMoved, ancestorRemoved, getOwner, getReferencePoint, removeAnchorListener, setOwner`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EdgeChopBoxConnector

    public EdgeChopBoxConnector(org.eclipse.draw2d.IFigure owner,
                                org.eclipse.draw2d.IFigure chopFigure)

Method Detail

### getLocation

    public org.eclipse.draw2d.geometry.Point getLocation(org.eclipse.draw2d.geometry.Point reference)